@import "../../scss/variables.scss";

@mixin checkbox-styles($checkbox-palette) {
  $primary-color: map-get(
    $map: $checkbox-palette,
    $key: "primary-color",
  );

  .noku-library-checkbox {
    transition: border-color 0.15s ease-in-out;
    display: inline-block;
    width: 15px;
    min-width: 15px;
    height: 15px;
    min-height: 15px;
    position: relative;
    cursor: pointer;
    border-color: $grey400;

    input {
      position: absolute;
      top: 0;
      left: 0;
      width: 15px;
      height: 15px;
      margin: 0;
      opacity: 0;
      z-index: 1;
      cursor: pointer;
    }
    span {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 100%;
      height: 100%;
      background: $white;
      border: 1px solid $grey600;
      border-radius: 2px;
      cursor: pointer;
    }
    input + span {
      transition: background-color 0.1s ease-out;
    }
    input:checked + span {
      background: $primary-color;
    }
    input:disabled + span {
      background: $grey500;
    }
    .icon {
      display: none;
      margin-top: 1px;
      font-size: 11px;
      color: $white;
    }
    input:checked + span .icon {
      display: inline-block;
    }
    .checkbox input:checked + span {
      background: $primary-color;
      border: none;
    }
    .error {
      border-color: $error400;
    }
  }
}
